%define	upstream_name	 Mail-MboxParser
%define	upstream_version 0.55

%define _requires_exceptions perl(Mail::MboxParser::Mail)
%define _provides_exceptions perl(Mail::MboxParser::Mail)\\|perl(Mail::MboxParser::Base)\\|perl(Mail::MboxParser::Mail::Body)\\|perl(Mail::MboxParser::Mail::Convertable)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:	Read-only access to UNIX-mailboxes 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.bz2
Patch0:     perl-Mail-MboxParser-0.55-Fix-garbled-attachment-name-RT-66576.patch


BuildRequires:	perl-MIME-tools
BuildArch:	noarch


%description
This module attempts to provide a simplified access to standard UNIX-mailboxes.
It offers only a subset of methods to get 'straight to the point'. More
sophisticated things can still be done by invoking any method from MIME::Tools
on the appropriate return values.

Mail::MboxParser has not been derived from Mail::Box and thus isn't acquainted
with it in any way. It, however, incorporates some invaluable hints by the
author of Mail::Box, Mark Overmeer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changelog README
%{perl_vendorlib}/Mail
%{_mandir}/man3*/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.550.0-4.mga4
+ Revision: 512733
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.550.0-3.mga3
+ Revision: 369422
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.550.0-2.mga3
+ Revision: 335956
- Add patch from RT 66576 fixing test

* Sun Jan 23 2011 jquelin <jquelin> 0.550.0-1.mga1
+ Revision: 33940
- mageia rebuild
- imported package perl-Mail-MboxParser


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.550.0-1mdv2010.1
+ Revision: 405861
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.55-4mdv2009.0
+ Revision: 223809
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.55-3mdv2008.1
+ Revision: 180440
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-2mdv2007.0
+ Revision: 107907
- rebuild
- Import perl-Mail-MboxParser

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdk
- new version
- spec cleanup
- %%mkrel
- better summary and description
- fix directory ownership

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.54-1mdk
- 0.54

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.53-1mdk
- 0.53

* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.52-1mdk
- 0.52

* Tue Jan 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-1mdk
- 0.51
- remove requires_exceptions and provides_exceptions for internal modules

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.49-1mdk
- 0.49

* Wed Jul 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.48-1mdk
- 0.48

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.47-1mdk
- 0.47
- drop PREFIX and use %%makeinstall_std macro
- cosmetics

